Create a Refund
curl --request POST \
--url https://api.flutterwave.com/v3/transactions/{id}/refund \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{
"amount": "50"
}'import requests
url = "https://api.flutterwave.com/v3/transactions/{id}/refund"
payload = { "amount": "50" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({amount: '50'})
};
fetch('https://api.flutterwave.com/v3/transactions/{id}/refund', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"status": "success",
"message": "Transaction refund initiated",
"data": {
"id": 8612,
"account_id": 73362,
"tx_id": 908790,
"flw_ref": "URF_1577867664541_3572735",
"wallet_id": 74639,
"amount_refunded": 5000,
"status": "completed",
"destination": "payment_source",
"meta": {
"source": "availablebalance"
},
"created_at": "2020-01-24T09:18:37.366Z"
}
}Transactions
Create a Refund
Intiate a transaction refund
POST
/
transactions
/
{id}
/
refund
Create a Refund
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Body
application/json
Response
200 - application/json; charset=utf-8
OK
Show child attributes
Show child attributes
Example:
{
"id": 8612,
"account_id": 73362,
"tx_id": 908790,
"flw_ref": "URF_1577867664541_3572735",
"wallet_id": 74639,
"amount_refunded": 5000,
"status": "completed",
"destination": "payment_source",
"meta": { "source": "availablebalance" },
"created_at": "2020-01-24T09:18:37.366Z"
}
Was this page helpful?
⌘I